org.apache.myfaces.trinidad.component

## Class UIXEditableFacesBeanImpl

- java.lang.Object
- - org.apache.myfaces.trinidad.bean.FacesBeanImpl
  - - org.apache.myfaces.trinidad.component.UIXFacesBeanImpl
    - - org.apache.myfaces.trinidad.component.UIXEditableFacesBeanImpl

- All Implemented Interfaces:
    FacesBean, UIXFacesBean

      public class UIXEditableFacesBeanImpl
      extends UIXFacesBeanImpl

  UIXFacesBeanImpl subclass that implements the local value contract needed for ValueHolders. UIXEditableValue subclasses that wish to modify their FacesBean behavior should subclass this class.
  See Also:
    `FacesBeanImpl`, `UIXEditableValue`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.myfaces.trinidad.bean.FacesBean

      `FacesBean.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIXEditableFacesBeanImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(UIXComponent component, FacesBean.Type type)` Subclassers most call super with the component and type
    `void` | `setProperty(PropertyKey key, Object value)` Set a property.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXFacesBeanImpl

      `getComponent, getLocalPropertyImpl, getType, keySet, restoreState, saveState, setPropertyImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.bean.FacesBeanImpl

      `addAll, addEntry, bindingKeySet, clearInitialState, containsEntry, createExpressionsMap, createPropertyMap, entries, getEntries, getLocalProperty, getProperty, getRawProperty, getValueBinding, getValueExpression, initialStateMarked, markInitialState, removeEntry, setValueBinding, setValueExpression, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.bean.FacesBean

      `addAll, addEntry, bindingKeySet, clearInitialState, containsEntry, entries, getEntries, getLocalProperty, getProperty, getRawProperty, getValueBinding, getValueExpression, initialStateMarked, markInitialState, removeEntry, setValueBinding, setValueExpression`

- - ### Constructor Detail

    - #### UIXEditableFacesBeanImpl

          public UIXEditableFacesBeanImpl()

  - ### Method Detail

    - #### init

          public void init(UIXComponent component,
                  FacesBean.Type type)

      Subclassers most call super with the component and type
      Specified by:
        `init` in interface `UIXFacesBean`
      Overrides:
        `init` in class `UIXFacesBeanImpl`
      Parameters:
        `component` - UIXEditableValue to bind to this UIXFacesBean
        `type` -
      Throws:
        `IllegalStateException` - if init() called more than once
        `IllegalArgumentException` - if component is not a UIXEditableValue
        `NullPointerException` - of component or type is null

    - #### setProperty

          public void setProperty(PropertyKey key,
                         Object value)

      Description copied from interface: `FacesBean`
      Set a property.
      Specified by:
        `setProperty` in interface `FacesBean`
      Overrides:
        `setProperty` in class `FacesBeanImpl`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.